<?php

namespace App\Services\ThirdPlatform;

use App\Jobs\queue\QueueJob;
use App\Repositories\Contracts\ThirdApiPlatformRepository;
use App\Services\Kafka\KafkaService;
use App\Services\PlatformDataEntriesService;
use App\Support\Facades\SimpleKafka;

class ThirdPlatformService extends PlatformAbstractService
{
    public function __construct()
    {
        parent::__construct(app(ThirdApiPlatformRepository::class));
    }

    public function checkPlatformToken($platformName)
    {
        $this->setPlatformName($platformName);
        $platform = $this->getPlatformInfo('platform_token');
        return $platform ? $platform : [];
    }
}

